/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User's Guide
	Defalt JavaScript
	Modified : 2014-03-25
/////////////////////////////////////////////////////////////////////////////////////////////////*/

//ダイアログ起動時の背後コンテンツスクロール値格納用変数
var scrollV = 0;

$(function(){
	
	
	//メニュー閉じ （表示外をクリックしたとき） ----------------------------------------------------------------------------------
	$(document).bind('click', function(e) {
		var $clicked = $(e.target);
		if(!$clicked.parents().is("#navigation")){
			mnInit = false;
		}

	});
	//-----------------------------------------------------------------------------------------------------------------

//グローバルナビメニュー ---------------------------------------------------------------------------------------------------
	if( HttpReqSecure ){
		menu_global = menu_global.replace(/^.*?<body[^>]*?>/, "").replace(/^<\/body>.*?<\/html>/, "");
		$('#navigation').html(menu_global);
		menu_global_load_success();
	}else{
		$('#navigation').load('menu_global.html #globalNavi', function(text, status, xhr){
			if(status=='success'){
				menu_global_load_success();
			}else{
				//alert('ng');
			}
		});
	}


	function menu_global_load_success(){
		$('#globalNavi li:not(.navi0) h3 span').each(function(){
			$(this).text($(this).parent().next('.naviList').children('h4:eq(0)').text());
			$(this).parent().next('.naviList:not(#gnavi3_list)').children('h4:eq(0)').remove();
		});
		$('#globalNavi li:not(.navi0) h3').click(function(){
			gnaviPullDW(this);
		}).hover(function(){
			gnaviHoverPullDW(this);
		},function(){});
		$('#globalNavi li.navi0 h3').hover( function(){removePullDW()},function(){});
		$('#globalNavi li h3').hover(
			function(){$(this).addClass('hover');},
			function() {$(this).removeClass('hover');}
		);
		if(thisFile){
			tcl = 'navi' + ((thisFile.split("-",1).join('').replace('id',''))*1);
			if((tcl == 'navi6')||(tcl == 'navi7')){
				$('#globalNavi li.navi3 h3').addClass('active');
			}else{
				$('#globalNavi li.'+tcl+' h3').addClass('active');
			}
		}
	}

	var mnInit = false; //メニュークリック状態判定用フラグ

	function gnaviPullDW(a){
		var t = $(a).parent().attr('class').slice(4);
		$('#globalNavi h3 span').removeClass("openMenu");
		for(i=1; i<=5; i++){
			var ta = '#gnavi'+i+'_list';
			if(i==t){
				if($(ta).hasClass("openList")){
					$(ta).removeShadow();
					$(ta).hide().removeClass("openList");
					mnInit = false;
				}else{
					$(ta).show().addClass("openList");
					$(ta).dropShadow({opacity:'0.35',blur:5,left:0,zindex:500});
					$('#globalNavi .navi'+i+' h3 span').addClass("openMenu");
					mnInit = true;
				}
			}else{
				$(ta).removeShadow();
				$(ta).hide().removeClass("openList");
			}
		}
	}

	//マウスオーバーでプルダウンメニューリスト生成
	function gnaviHoverPullDW(a){
		if(mnInit){
			var t = $(a).parent().attr('class').slice(4);
			$('#globalNavi h3 span').removeClass("openMenu");
			for(i=1; i<=5; i++){
				var ta = '#gnavi'+i+'_list';
				if(i==t){
					$(ta).removeShadow();
					$(ta).show().addClass("openList");
					$(ta).dropShadow({opacity:'0.35',blur:5,left:0,zindex:500});
					$('#globalNavi .navi'+i+' h3 span').addClass("openMenu");
				}else{
					$(ta).removeShadow();
					$(ta).hide().removeClass("openList");
				}
			}
		}
	}
	
	// グローバルメニューのホームにマウスオーバーした際に他メニューをリセット
	function removePullDW(){
		for(i=1; i<=5; i++){
			var ta = '#gnavi'+i+'_list';
			$(ta).removeShadow();
			$(ta).hide().removeClass("openList");
			$('#globalNavi h3 span').removeClass("openMenu");
		}
	}
//-----------------------------------------------------------------------------------------------------------------



//左ナビメニュー ---------------------------------------------------------------------------------------------------

	if(/^id/i.test(thisFile)){
		if( HttpReqSecure ){
			var loadf = eval('menu_'+thisId);
			loadf = loadf.replace(/^.*?<body[^>]*?>/, "").replace(/^<\/body>.*?<\/html>/, "");
			$("#leftNavi").html(loadf);
			$('#leftNavi > .lp').replaceWith($('#leftNavi > .lp > #leftNavi').html());
			leftNavi_id_load_success();
		}else{
			$("#leftNavi").load('menu_'+thisId+'.html #leftNavi > *', function(text, status){
				if(status=='success'){
					leftNavi_id_load_success();
				}else{
					$("#leftNavi").html(textData.leftNaviNoDataTxt);
				}
			});
		}
		function leftNavi_id_load_success(){
			$("#naviTree").before('<div id="naviUtility"></div>');
			$("#naviUtility").append('<span id="treeControl"><button id="CollapseAll">'+textData.lnaviCollapseAllTxt+'</button><button id="ExpandAll">'+textData.lnaviExpandAllTxt+'</button></span>');
			if(!/^id15/.test(thisFile)){
				$("#naviUtility").append('<span><button id="selectPrint">'+textData.selectPrintTxt+'</button></span>');
			}
			$("#naviUtility button").button();
			$('#selectPrint').click(function(){
				w = window.open("selected_print_"+thisId+".html", "selected_print", "width=500,height=500,resizable=yes");
				w.focus();
			});
			
			$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').closest("li").addClass("selectedList");
			
			if(thisFile.match(/^id14/)){
				leftNaviFunc("#naviTree>ul", "full", false);
			}else{
				leftNaviFunc("#naviTree>ul", "full");
			}
			$("#naviTree ul li a").hover(
				function(){ $(this).parent().parent("li").addClass("hoverList"); },
				function(){ $(this).parent().parent("li").removeClass("hoverList"); }
			);
			//ツールチップ消し $('#naviTree .toolTip').mouseover(function(e){ toolTipOn(this); }).mouseout(function(e){ toolTipOut(this); });
		}
	}
	
	//$(window).resize(function(){ leftNaviHeight(); });
	//$(window).load(function(){ leftNaviHeight(); });

	
	
	function leftNaviHeight(){
		if($('body').is(':has(#leftNavi)')){
			if($("#documentBody").height() <= $(window).height()){
				$('#c2style #leftNavi').css('min-height',  $(window).height() - $('#leftNavi').position().top - $('#footer').height() + 'px' );
			}else{
				$('#c2style #leftNavi').css('min-height',  $('#c2style').height()  + 'px');
			}
		}
	}

//-----------------------------------------------------------------------------------------------------------------





//アコーディオン系 ---------------------------------------------------------------------------------------------------
	//目的から探すのみスクリプトでid付与(IDがない場合のみ)
	$('#opkey .qitem2').each(function(i){
		if(!$(this).attr('id')){
			$(this).attr('id', 'qitem'+i);
		}
	});

	var btnvalue = '<div class="thisPrint Item"><button class="disDetail" disabled="disabled"></button><button class="QaPrint">' + textData.qaPrintTxt + '</button></div>';
	
	// アコーディオン内ボタン「この内容を印刷」「詳細表示・印刷」両方無効
	var _disQaPrint = '<div class="thisPrint Item"><button class="disDetail" disabled="disabled"></button><button class="disQaPrint">' + textData.qaPrintTxt + '</button></div>';
	
	$('#opkey .qitem2 h4').click(function(){
		if(!$(this).next('.answer').children().hasClass('accordion_contents')){
			var loading = $(this).next().children("div").attr("id");
			var hiKeyTar = $(this).parent().attr('id');
			if( HttpReqSecure ){
				loading = eval(loading.replace("-","_"))
				loading = loading.replace(/^.*?<body[^>]*?>/, "").replace(/^<\/body>.*?<\/html>/, "");
				$(this).next().html(loading);
				
				if($(this).next().is('div:has(h5)')){
					$(this).next().children("div.accordion_contents").append(btnvalue).find("button").hover(
						function(){$(this).addClass("hover");},
						function(){$(this).removeClass("hover");}
					).click(function(){
						//print();
						return false;
					});
				}else{
					$(this).next().children("div.accordion_contents").append(_disQaPrint);
				}
				if($(this).next().children("div.accordion_contents").find('.CrossReference').length > 1){
					if(textData.accordionListHere != $('a.transition_link').text()){
						$(this).parent().find('p.transitionLink').prepend(textData.accordionListTxt);
						$(this).parent().find('a.transition_link').text(textData.accordionListHere);
					}
				}
				//キーをハイライト
				hiligthKeyFunc('#'+hiKeyTar+' .accordion_contents');
			}else{
				$(this).next().load(sh3AcDir + loading + ".html",function(txt,status){
					if(status=='success'){
						if($(this).is('div:has(h5)')){
							$(this).append(btnvalue).find("button").hover(
								function(){$(this).addClass("hover");},
								function(){$(this).removeClass("hover");}
							).click(function(){
								//print();
								return false;
							});
						}else{
							$(this).append(_disQaPrint);
						}
						if($(this).parent().find('.CrossReference').length > 1){
							if(textData.accordionListHere != $('a.transition_link').text()){
								$(this).parent().find('p.transitionLink').prepend(textData.accordionListTxt);
								$(this).parent().find('a.transition_link').text(textData.accordionListHere);
							}
						}
						//キーをハイライト
						hiligthKeyFunc('#'+hiKeyTar+' .accordion_contents');
					}else{
					}
				});
			}
		}
	});
	/**/
	if(ua._isIE7){
		$('#faq .qitem h4, #opkey .qitem h4, #opkey .qitem2 h4').click(function(){
			if($(this).hasClass('openAc')){
				$(this).removeClass('openAc').next('.answer').hide();
			}else{
				$('.openAc').removeClass('openAc').next('.answer').hide();
				$(this).addClass('openAc').next('.answer').show();
				var _hash = $(this).parent().attr('id');
				if(_hash){
					location.href = '#'+_hash;
				}
			}
		});
	}else{
		$('#faq .answer, #opkey .answer').after('<div class="af"></div>');
		$('#faq, #opkey').accordion({
			header: 'h4',
			autoHeight: false,
			navigation: true,
			active: false,
			collapsible: true,
			change: function(event, ui){
				//leftNaviHeight();
				var _hash = $(ui.newHeader).parent().attr('id');
				if(_hash){
					location.href = '#'+_hash;
				}
			}
		});
	}
	
	
	//検索結果からアコーディオンページに遷移した際アコーディオンを開いた状態で遷移
	setTimeout(function(){
		if(/#qitem/.test(thisHash)){
			//var _index = $(thisHash).index(this);
			//$('#csCommonA').accordion("option", "active", _index-1);
			//$('#opkey').accordion("option", "active", _index);
			//$('#opkey, #csCommonA').accordion("option", "active", thisHash + ">h4");
			$(thisHash + ">h4").click();
			//return false;
		}
	},0);
	
//-----------------------------------------------------------------------------------------------------------------



//ダイアログ系(インラインのコンテンツ FAQ) ---------------------------------------------------------------------------------------------------
	$('#opkey .qitem .dc .heading_sub').click(function(){
		var targetId   = 'contentsOf_' + $(this).parent().parent().attr('id');
		$("#" + targetId).addClass('container');
		var inlineDialogProperty = {
			modal: true,
			title: $('#'+ targetId +" > .heading").text(),
			width: (ua._isIE11)?709:710,
			height: 550,
			maxHeight: $(window).height() - 100,
			maxWidth: 1000,
			bgiframe: true,
			buttons:  eval('({' + textData.closeTxt +': function(){ dialogCloseFunc(this); }})'),
			open: function(event, ui){
					dialogContentsLoadSucces(this);
					dialogOpenFunc(this);
					$('#'+ targetId +" > .heading").hide();
					//$("#" + targetId).prev('.dialogPbtn').children('button').click(function(){ printfnc(); });
			},
			dragStart: function(event, ui){
				if(ua._isSafari3){
					$(this).parent().css('position', 'absolute');
				}
			},
			dragStop: function(event, ui){
				if(ua._isSafari3){
					$(this).parent().css({
						'position': 'fixed',
						'top': ($(this).parent().css('top').match(/[0-9]+/)*1) - $(document).scrollTop() + 'px'
					});
				}
			},
			resizeStop: function(event, ui) {
				dialogResizeFixed(this);
				$(this).css({
					"width": ($(this).parent().width() - dialogResizeMPW(this) ) +'px',
					"height": ($(this).parent().height() - dialogResizeMPH(this) ) +'px'
				});
			 },
			close: function(event, ui) { dialogCloseFunc(this); }
		};
		/* add by a.baba 140327 start タブレットの場合のダイアログ //////////////////////////////////*/
		if(ua._isMobile) {
		    //一個目のダイアログ起動時の背後コンテンツスクロール値を取得
		    if ($('.ui-dialog').size() < 1) {
		        scrollV = $(window).scrollTop();
		    }
			inlineDialogProperty.width = '100%';
			if($(window).height()>$(window).width()){
				//縦表示の場合
				inlineDialogProperty.height = $(window).height();
			}else{
				//縦表示の場合
				inlineDialogProperty.height = $(window).height()-15;
			}
			inlineDialogProperty.position = [0, 0];
			inlineDialogProperty.draggable  = false;
			inlineDialogProperty.resizable = false;
			inlineDialogProperty.open = function (event, ui) {
			    $(this).parent().css({
			        "top": 0,
			        "left": 0
			    });
			    $('#documentBody').css('top', (-scrollV) + 'px');
			    $('#documentBody').css('position', 'fixed');
			    $('#documentBody').css('visibility', 'hidden');
			};
		/* add by a.baba 140404 start IE6以外のダイアログclose時の処理 ////////////////////*/
		/* ダイアログ表示時、後ろコンテンツのスクロール防止 */
		} else if (!ua._isIE6) {
			if ($('.ui-dialog').size() < 1) {
				scrollV = $(window).scrollTop();
			}
			$('#documentBody').css('top', (-scrollV) + 'px');
			$('#documentBody').css('position', 'fixed');
			$('#documentBody').css('left', '50%');
			$('#documentBody').css('margin-left', (-($('#documentBody').width() / 2)));
		}
		/* add by a.baba 140404 end ////////////////////////////////////////////////////////////*/
		/* add by a.baba 140327 end ////////////////////////////////////////////////////////////////////*/
		$("#" + targetId).dialog(inlineDialogProperty);
	}).hover(
		function(){ $(this).addClass('hover'); },
		function(){ $(this).removeClass('hover'); }
	);

//-----------------------------------------------------------------------------------------------------------------







//セキュリティー向上 ---------------------------------------------------------------------------------------------------
	if(/^sh5_/.test(thisFile)){
		$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').closest("li").addClass("selectedList");
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().parent("li").addClass("hoverList"); },
			function(){ $(this).parent().parent("li").removeClass("hoverList"); }
		);
		$('.dcbtn').append('<a class="QaPrint"></a>');
		if(ua._isIE7){
			$('#csCommonA .qitem h4').click(function(){
				if($(this).hasClass('openAc')){
					$(this).removeClass('openAc').next('.answer').hide();
				}else{
					$('.openAc').removeClass('openAc').next('.answer').hide();
					$(this).addClass('openAc').next('.answer').show();
					location.href = '#'+$(this).parent('.qitem').attr('id');
					var _hash = $(this).parent().attr('id');
					if(_hash){
						location.href = '#'+_hash;
					}
				}
			}).hover(
				function(){ $(this).addClass('hover'); },
				function(){ $(this).removeClass('hover'); }
			);
		}else{
			$('#csCommonA .answer').after('<div class="af"></div>');
			$('#csCommonA').accordion({
				header: 'h4',
				autoHeight: false,
				navigation: true,
				active: false,
				collapsible: true//,
				//change: function(event, ui) { leftNaviHeight(); }
			});
		}
	}
//-----------------------------------------------------------------------------------------------------------------


//コスト削減 ---------------------------------------------------------------------------------------------------
	if(thisFile.match(/^sh4_/)){
		$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').parent("span").addClass("selectedList");
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().parent("li").addClass("hoverList"); },
			function(){ $(this).parent().parent("li").removeClass("hoverList"); }
		);
		$('.dcbtn').append('<a class="QaPrint"></a>');
		if(ua._isIE7){
			$('#csCommonA .qitem h4').click(function(){
				if($(this).hasClass('openAc')){
					$(this).removeClass('openAc').next('.answer').hide();
				}else{
					$('.openAc').removeClass('openAc').next('.answer').hide();
					$(this).addClass('openAc').next('.answer').show();
					var _hash = $(this).parent().attr('id');
					if(_hash){
						location.href = '#'+_hash;
					}
				}
			}).hover(
				function(){ $(this).addClass('hover'); },
				function(){ $(this).removeClass('hover'); }
			);
		}else{
			$('#csCommonA .answer').after('<div class="af"></div>');
			$('#csCommonA').accordion({
				header: 'h4',
				autoHeight: false,
				navigation: true,
				active: false,
				collapsible: true//,
				//change: function(event, ui) { leftNaviHeight(); }
			});
		}
	}
//-----------------------------------------------------------------------------------------------------------------





//目的からさがす ---------------------------------------------------------------------------------------------------
	if(thisFile.match(/^sh3_/)){
		$("#naviTree").addClass('sh3');
		$("#naviTree li > ul").prev('span').children('a').addClass('onlink');
		$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').closest("li").addClass("selectedList");
		leftNaviFunc("#naviTree>ul", "full");
		if($('#container #opkey > h1').length > 1){
			$('#container').prepend('<h1>' + $("#crombsNavi span:last-child").text() + '</h1>');
			$('#container #opkey > h1').each(function(i){
				var j = (i)? '' : ' first';
				$(this).replaceWith('<h2 class="originH1'+j+'">'+ $(this).text() +'</h2>');
			});
		}
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().addClass("hoverList"); },
			function(){ $(this).parent().removeClass("hoverList"); }
		);
	}
//-----------------------------------------------------------------------------------------------------------------


























});
///////////////////////////////////////////////////////////////////////////////////////////////////////


//ツールチップ関数 ---------------------------------------------------------------------------------------------------
	function toolTipOn(e,i){
		if($(e).parents().is('#container')){
			i = 7;
		}else if($(e).parents().is('#leftNavi')){
			i = 18;
		}
		i = (i)?i:15;
		var limit;
		if($(e).parents().is('.answer')){
			limit = $(e).parents('.answer').position().left +  $(e).position().left + $('#'+$(e).attr('tipId')).width() + 10;
		}else{
			limit = $(e).position().left + $('#'+$(e).attr('tipId')).width();
		}
		if(limit > $('#documentBody').width()){
			var pleft = $('#documentBody').width() - $('#'+$(e).attr('tipId')).width() -14;
			var anl = true;
		}else{
			var pleft = $(e).position().left;
		}
		if($(e).attr('tipId')){
			if($(e).parents().is('.dialogContents')){
				var tipIdzindex = 1500;
			}else{
				var tipIdzindex = 50;
			}
			
			if($(e).parents().is('.answer')){
				var lint = (anl)?0:$(e).parents('.answer').position().left;
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft + lint + 10) +'px',
					'top': ($(e).position().top + $(e).parents('.answer').position().top - ($('#'+$(e).attr('tipId')).height()+8)) +'px',
					'z-index': tipIdzindex,
					'display': 'block'
				});
			}else if($(e).parents().is('.dialogContents')){
				addtop = 0;
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft + $(e).parents('.ui-dialog').position().left + 30) +'px',
					'top': Math.round(($(e).position().top*1) + ($(e).parents('.ui-dialog').css('top').replace(/px/, "")*1) + ($(e).parents('.dialogContents').position().top*1) - (($('#'+$(e).attr('tipId')).height()*1)+8) +20 +addtop) +'px',
					'z-index': tipIdzindex,
					'position': $(e).parents('.ui-dialog').css('position'),
					'display': 'block'
				}).appendTo('body');
			}else{
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft + 10) +'px',
					'top':($(e).position().top - ($('#'+$(e).attr('tipId')).height()+8)) +'px',
					'z-index': tipIdzindex,
					'display': 'block'
				});
			}
		}else{
			if((!$(e).attr('discription'))&&($(e).attr('title') != '')){
				$(e).attr({
					discription: $(e).attr('title'),
					title: ''
				});
			}
			if($(e).attr('discription')){
				$(e).after('<span class="tipContents"><span>' +  $(e).attr('discription') + '</span></span>');
				$(e).next('.tipContents').css({
					'left': (pleft + 10) +'px',
					//'top': $(e).position().top - ($(e).next('.tipContents').height()+i) +'px',
					'margin-top': '-'+ ($(e).height() + ($(e).next('.tipContents').height()+i)) +'px',
					'display': 'block'
				});
			}
		}
	}
	function toolTipOut(e){
		if($(e).attr('tipId')){
			$('#'+$(e).attr('tipId')).hide().appendTo('#tips');
		}else{
			$(e).next('.tipContents').remove();
		}
	}
// ---------------------------------------------------------------------------------------------------




//ダイアログ系 ---------------------------------------------------------------------------------------------------
//var firstConfWin = false;   //  6枚目ダイアログを表示させる際に出現するコンファームウィンドウの初回クリック判定用フラグ
var dialogCount = 0;
function dialogWin(loadFile){
	$(function(){
		/*var sample = {
			"title":"宛先の指定",
			"dId":"dcid0",
			"load":[
				{"page":"id02-0010.html","Id":["id02-0011"]},
				{"page":"id02-0011.html","Id":["id02-0015","id02-0016"]}
			]
		};*/
		loadFile.dId = loadFile.dId + '_d' + dialogCount;
		var ovlayLen = $('body > div.ui-widget-overlay').length;
		if(ovlayLen < 5){//ダイアログ4枚まで***************
			//firstConfWin = false;
			dialogWinOpen(loadFile, ovlayLen);
		}else if(ovlayLen == 5){//ダイアログ5枚***************
			//alert(textData.dialog4thTxt);
			//if(!firstConfWin){
				confirmWindow(loadFile, ovlayLen);
			//}else{
			//	dialogWinOpen(loadFile, ovlayLen);
			//}
			//firstConfWin = true;
		}else if(ovlayLen > 9){//ダイアログ10枚以上***************
			alert(textData.dialogNotOpenTxt);
		}else{//ダイアログ6～9枚***************
			dialogWinOpen(loadFile, ovlayLen);
		}
	});
}
//5枚目以降ダイアログを表示する場合、コンファームウィンドウ表示、OK押下でさらにダイアログを表示
function confirmWindow(dialogObj, ovlayLen){
	var messageText = confirm(textData.dialogConfirmTxt);
	if(messageText){
		//firstConfWin = true;
		dialogWinOpen(dialogObj, ovlayLen);
	}else{
		//firstConfWin = false;
	}
}

function dialogWinOpen(loadFile, ovlayLen){
	if(!$('body > div').is("[id='DcontentsOf_" + loadFile.dId + "']")){
		$('body').append('<div class="dialogContents" id="DcontentsOf_'+ loadFile.dId +'"><div class="container" id="contentsOf_'+ loadFile.dId +'"></div></div>');
		for(var i=0,len1=loadFile.load.length; i<len1; i++){
			for(var j=0,len2=loadFile.load[i].Id.length; j<len2; j++){
				$('#contentsOf_' + loadFile.dId).append('<div id="'+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load"></div>');
				if( HttpReqSecure ){
					var loadPage = loadFile.load[i].page.replace(/\.html/, "").split('-').join('_');
					loadPage = eval(loadPage);
					loadPage = loadPage.replace(/^.*?<body[^>]*?>/, "").replace(/^<\/body>.*?<\/html>/, "");
					$("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load').html(loadPage);
					$("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load #'+ loadFile.load[i].Id[j]).appendTo("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load');
					$("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load #documentBody').remove();
					dialog_load_succes();
					dialogContentsLoadSucces("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load');
				}else{
					$("#"+ loadFile.dId +"_"+ loadFile.load[i].Id[j] +'_load').load(loadFile.load[i].page +' #'+ loadFile.load[i].Id[j], function(text, status){
						if(status == 'success'){
							dialog_load_succes();
							dialogContentsLoadSucces(this);
						}else{
							alert('Load Error');
						}
					});
				}
			}
		}
		function dialog_load_succes(){
			dialogCount++;
		}
	}
	var dtitle = loadFile.title;
	dtitle = dtitle.split("&apos;").join("&#039;");
	dtitle = dtitle.split("'").join("&#039;");
	dtitle = dtitle.split("&quot;").join("&#034;");
	dtitle = dtitle.split('"').join("&#034;");
	
	var dialogProperty = {
		modal: true,
		title: dtitle,
		width: 710,
		height: 550,
		maxHeight: $(window).height() - 100,
		maxWidth: 1000,
		buttons: eval('({' + textData.closeTxt + ': function(){ dialogCloseFunc(this); }})'),
		open: function(event, ui){
			dialogOpenFunc(this);
			var di = ovlayLen;
			//$("#DcontentsOf_" + loadFile.dId).prev('.dialogPbtn').children('button').click(function(){ printfnc(); });
			if($(this).parent().css('position') == 'fixed'){
				$(this).parent().css({
					"top": (($(this).parent().css('top').match(/[0-9]+/) * 1) + (5 * di)) + 'px',
					"left": (($(this).parent().css('left').match(/[0-9]+/) * 1) + (5 * di)) + 'px'
				});
			}else{
				$(this).parent().css({
					"top": ($(this).parent().position().top + (5 * di)) + 'px',
					"left": ($(this).parent().position().left + (5 * di)) + 'px'
				});
			}
		},
		dragStart: function(event, ui){
			if(ua._isSafari3){
				$(this).parent().css('position', 'absolute');
			}
		},
		dragStop: function(event, ui){
			if(ua._isSafari3){
				$(this).parent().css({
					'position': 'fixed',
					'top': ($(this).parent().css('top').match(/[0-9]+/) * 1) - $(document).scrollTop() + 'px'
				});
			}
		},
		resizeStop: function(event, ui){
			dialogResizeFixed(this);
			$(this).css({
				"width": ($(this).parent().width() - dialogResizeMPW(this)) + 'px',
				"height": ($(this).parent().height() - dialogResizeMPH(this)) + 'px'
			});
		},
		close: function(event, ui){ dialogCloseFunc(this); }
	};
	/* add by a.baba 140327 start タブレットのダイアログopen時のプロパティを上書き /////////////////////////*/
if (ua._isMobile) {
    //一個目のダイアログ起動時の背後コンテンツスクロール値を取得
        if ($('.ui-dialog').size() < 1) {
            scrollV = $(window).scrollTop();
        }
		dialogProperty.width = '100%';
		if($(window).height()>$(window).width()){
			//縦表示の場合
			dialogProperty.height = $(window).height();
		}else{
			//縦表示の場合
			dialogProperty.height = $(window).height()-15;
		}
		dialogProperty.position = [0, 0];
		dialogProperty.draggable  = false;
		dialogProperty.resizable = false;
		dialogProperty.open = function (event, ui) {
		    $(this).parent().css({
		        "top": 0,
		        "left": 0
		    });
		    $('#documentBody').css('top', (-scrollV) + 'px');
		    $('#documentBody').css('position', 'fixed');
		    $('#documentBody').css('visibility', 'hidden');
		};
	/* add by a.baba 140404 start IE6以外のダイアログopen時の処理 ////////////////////////////*/
	/* ダイアログ表示時、後ろコンテンツのスクロール防止 */
	} else if (!ua._isIE6) {
		if ($('.ui-dialog').size() < 1) {
			scrollV = $(window).scrollTop();
		}
		$('#documentBody').css('top', (-scrollV) + 'px');
		$('#documentBody').css('position', 'fixed');
		$('#documentBody').css('left', '50%');
		$('#documentBody').css('margin-left', (-($('#documentBody').width() / 2)));
	}
	/* add by a.baba 140404 end ///////////////////////////////////////////////////////////////////*/
	/* add by a.baba 140327 end ////////////////////////////////////////////////////////////////////*/
	$("#DcontentsOf_" + loadFile.dId).dialog(dialogProperty);
	/*if($('.ui-widget-overlay').height() > $(window).height()){
		$('.ui-widget-overlay').height($(window).height());
	}*/
}
//-----------------------------------------------------------------------------------------------------------------

function dialogContentsLoadSucces(t){
	if(!$(t).find('div.keyPath h5>span').is('.keyPathShow')){
		$(t).find('div.keyPath h5').append('<span class="keyPathShow">&gt;&gt;'+textData.keyPathShow+'</span>');
	}
	if($(t).find('p').is('.transitionLink')){
		if($(t).find('p.transitionLink').parent().find('.CrossReference').length > 1){
			if(textData.accordionListHere != $('a.transition_link').text()){
				$(t).find('p.transitionLink').prepend(textData.accordionListTxt);
				$(t).find('a.transition_link').text(textData.accordionListHere);
			}
		}
	}
}
function dialogOpenFunc(t){
	$(t).before('<div class="thisPrint Item dialogPbtn"><button>' + textData.qaPrintTxt + '</button></div>');
	//setTimeout(function(){$(t).find('div.keyPath h5').append('<span class="keyPathShow">&gt;&gt;'+textData.keyPathShow+'</span>');},100);
	$(t).scrollTop(0);
	//ツールチップ消し $('.toolTip').mouseover(function(e){toolTipOn(this);}).mouseout(function(e){toolTipOut(this);});
	$('#documentBody').addClass('openDialogPrintHide');
	$('body > .ui-dialog:visible').addClass('openDialogPrintHide');
	$(t).parent().removeClass("openDialogPrintHide");
	headerTrim();
	$('body > .ui-widget-overlay:not(:last)').removeClass('overlayOn');
	$('body > .ui-widget-overlay:last').addClass('overlayOn');
	
	/*setTimeout(function(){
		if($(t).find('p').is('.transitionLink')){
			if($(t).find('p.transitionLink').parent().find('.CrossReference').length > 1){
				if(textData.accordionListHere != $('a.transition_link').text()){
					$(t).find('p.transitionLink').prepend(textData.accordionListTxt);
					$(t).find('a.transition_link').text(textData.accordionListHere);
				}
			}
		}
	},500);*/
}
function dialogCloseFunc(t){
	$(t).dialog("destroy");
	if(!$('body > div').hasClass('ui-widget-overlay')){
		$("#documentBody").removeClass("openDialogPrintHide");
	}
	var zi = 1000;
	$('body > div.ui-dialog').each(function(){
		zi = ($(this).css('z-index') <= zi) ? zi : $(this).css('z-index') ;
	});
	$('body > div.ui-dialog').each(function(){
		if($(this).css('z-index') == zi){
			$(this).removeClass("openDialogPrintHide");
		}
	});
	$('body > .ui-widget-overlay:not(:last)').removeClass('overlayOn');
	$('body > .ui-widget-overlay:last').addClass('overlayOn');
	/* add by a.baba 140327 start タブレットのダイアログclose時の処理 ////////////////////////////////////*/
	if (ua._isMobile) {
        //ダイアログが0になったら背後コンテンツを元の状態に戻す
        if ($('.ui-dialog').size() < 1) {
            $('#documentBody').css('position', 'static');
            $(window).scrollTop(scrollV);
            $('#documentBody').css('visibility', 'visible');
        }
	/* add by a.baba 140404 start IE6以外のダイアログclose時の処理 ///////////////////////////*/
	} else if (!ua._isIE6) {
		if ($('.ui-dialog').size() < 1) {
			$('#documentBody').css('position', 'relative');
			$(window).scrollTop(scrollV);
			$('#documentBody').css('top', '');
			$('#documentBody').css('left', '');
			$('#documentBody').css('margin-left', '');
		}
	}
	/* add by a.baba 140404 end ////////////////////////////////////////////////////////////////////*/
	/* add by a.baba 140327 end ////////////////////////////////////////////////////////////////////*/
}
function dialogResizeFixed(t){
	$(t).parent().css({
		'position': 'fixed',
		'top': ($(t).parent().css('top').match(/[0-9]+/)*1) - $(document).scrollTop() + 'px',
		'left': ($(t).parent().css('left').match(/[0-9]+/)*1) - $(document).scrollLeft() + 'px'
	});
}






